
% Initialize Parameters

switch id_model
    case 1 
        ModelLabel = 'BC';
        ModelLabel_par = 'BC';
        Color_1 = (1/255)*[250,128,114];
        Color_2 = circshift(Color_1,2);
        max_par_val = 2;
    case 2
        ModelLabel = 'BEBA';
        ModelLabel_par = 'FJ';
        Color_2 = (1/255)*[46,200,87];
        Color_1 = (1/255)*[255,140,0];
        max_par_val = 7;
    case 3
        ModelLabel = 'CB';
        ModelLabel_par = 'CB';
    case 4
        ModelLabel = 'FJ';
        ModelLabel_par = 'FJ';
        Color_1 = (1/255)*[0,128,128];
        Color_2 = (1/255)*[199,21,133];
        max_par_val = 1;
end

disp([ 9 'Model = ' num2str(id_model)])

load([ ModelLabel '_InitialNetworks_100_agents.mat'], 'InteractionNetworks')
load([ ModelLabel_par '_AgentParameters_100_agents.mat'], 'AllAgentParameters')

if demo == 0

    if id_model == 3
        AgentParametersIDs_small = [2809, 1633, 457, 30, 1206, 2382, 2531];
        AgentParametersIDs_medium = [508, 3057, 318, 1248, 1877, 436, 82, 229, 899, 3450, 388, 344, 2397, 2907, 1575];
    elseif id_model == 2
        AgentParametersIDs_small = [1268 2842 2626 2809 30 133];
        AgentParametersIDs_medium = [2842, 1666, 490, 2626, 1450, 274, 2809, 1633, 457, 133, 1309, 2485, 2553, 1377, 201];
    else
        AgentParametersIDs_small = [55 2842 2626 2809 30 133];
        AgentParametersIDs_medium = [2842, 1666, 490, 2626, 1450, 274, 2809, 1633, 457, 133, 1309, 2485, 2553, 1377, 201];
    end

    AgentParametersIDs_large = 1:size(AllAgentParameters,1);

else

    if id_model == 3
        AgentParametersIDs_small = [2809, 1633, 457];
        AgentParametersIDs_medium = [508, 3057, 318, 1248];
    elseif id_model == 2
        AgentParametersIDs_small = [1268 2842 2626];
        AgentParametersIDs_medium = [2842, 1666, 490, 2626];
    else
        AgentParametersIDs_small = [55 2842 2626];
        AgentParametersIDs_medium = [2842, 1666, 490, 2626];
    end

    AgentParametersIDs_large = 1:20; 

end







